org.apache.xmlbeans.impl.values

## Interface TypeStoreVisitor

- All Known Implementing Classes:
    SchemaTypeVisitorImpl

      public interface TypeStoreVisitor

  This interface is used by the TypeStore to visit every element in order to compute nillable flags and default values.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get_default_text()` Returns the default text for this element.
    `int` | `get_elementflags()` Returns the elementflags for this element.
    `SchemaField` | `get_schema_field()` Returns the schema field for this field.
    `boolean` | `visit(QName eltName)` When using a visitor, you must call "visit" on every qname of every element in order up to the one you're interested in.

- - ### Method Detail

    - #### visit

          boolean visit(QName eltName)

      When using a visitor, you must call "visit" on every qname of every element in order up to the one you're interested in. If you're using it for validation, call visit(null) at the end of the sequence of children. If you're not validating, you can just walk away once you get the info you need.

    - #### get_elementflags

          int get_elementflags()

      Returns the elementflags for this element.

    - #### get_default_text

          String get_default_text()

      Returns the default text for this element.

    - #### get_schema_field

          SchemaField get_schema_field()

      Returns the schema field for this field.